Skip to main content
PATCH
/
v1
/
collections
/
{id}
Update collection redirect settings
curl --request PATCH \
  --url https://api.oneofnone.io/v1/collections/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "redirect_conditions": [
    {
      "id": "<string>",
      "conditions": {
        "type": "group",
        "conditions": [
          {
            "type": "condition",
            "field": "date"
          }
        ]
      },
      "onTrue": {
        "type": "redirect",
        "redirectUrl": "<string>",
        "layoutId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "layoutTitle": "<string>"
      },
      "title": "<string>",
      "onFalse": {
        "type": "redirect",
        "redirectUrl": "<string>",
        "layoutId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "layoutTitle": "<string>"
      }
    }
  ],
  "redirect_url": "<string>",
  "layout_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "app_id": 123
}
'
{
  "id": "<string>",
  "name": "<string>",
  "status": "<string>",
  "slug": "<string>",
  "created_at": "<string>",
  "type": "<string>",
  "description": "<string>",
  "quantity": 123,
  "keywords": "<unknown>",
  "redirect_type": "<string>",
  "redirect_url": "<string>",
  "layout_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "app_id": 123,
  "redirect_conditions": [
    {
      "id": "<string>",
      "conditions": {
        "type": "group",
        "conditions": [
          {
            "type": "condition",
            "field": "date",
            "value": {
              "date": "<string>",
              "time": {
                "hour": 6,
                "minute": 29
              },
              "timezone": "<string>"
            }
          }
        ]
      },
      "onTrue": {
        "type": "redirect",
        "redirectUrl": "<string>",
        "layoutId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "layoutTitle": "<string>"
      },
      "title": "<string>",
      "onFalse": {
        "type": "redirect",
        "redirectUrl": "<string>",
        "layoutId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "layoutTitle": "<string>"
      }
    }
  ],
  "registration_form_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "registration_settings": {},
  "activity_settings": {},
  "image": {
    "url": "<string>"
  },
  "video": {
    "url": "<string>",
    "poster_url": "<string>"
  },
  "share_image": {
    "url": "<string>"
  },
  "gallery": [
    {
      "url": "<string>",
      "file_type": "<string>",
      "poster_url": "<string>",
      "order": 123,
      "tags": "<unknown>",
      "variants": "<unknown>"
    }
  ],
  "product_name_template": "<string>",
  "retail_settings": {},
  "launch_date": "<string>",
  "attributes": "<unknown>",
  "variants": "<unknown>",
  "updated_at": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string<uuid>
required

Body

application/json
redirect_conditions
object[] | null
redirect_type
enum<string>
Available options:
url,
layout
redirect_url
string | null
layout_id
string<uuid> | null
app_id
integer | null

Response

Successful response

id
string
required
name
string
required
status
string
required
slug
string
required
created_at
string
required
type
string | null
description
string | null
quantity
number | null
keywords
any
redirect_type
string | null
redirect_url
string | null
layout_id
string<uuid> | null
app_id
integer | null
redirect_conditions
object[] | null
registration_form_id
string<uuid> | null
registration_settings
object
activity_settings
object
image
object
video
object
share_image
object
product_name_template
string | null
retail_settings
object
launch_date
string | null
attributes
any
variants
any
updated_at
string | null
{key}
any